/*
 *  SynDetector
 *
 *  MSC in Telecommunications
 *  Denial of Service Study
 *	Queens University Belfast
 *
 *  Author   : Matthew Hutchinson
 *  Contact  : m.hutchinson@ijug.org
 *  Web      : http://hutchinson.ijug.org
 *
 *  Created  : 01-Aug-03
 *  Filename : SynDetectorDlg.h
 *			   Main header file for SynDetector Dialog
 *
 *  Library     : TCPIP_LIBv4 by Komodia Inc.  <open source>
 *	Download    : http://www.komodia.com/tcpip_lib4.zip
 *  API Support : http://www.komodia.com/help/default.htm 
 *  Copyright   : Copyright (c) 2000-2003 Barak Weichselbaum <barak@komodia.com>
 *                All rights reserved.
 *
 *  NOTICE      : This is a Proof Of Concept program for educational purposes only.
 *
 */

#if !defined(AFX_SYNDETECTORDLG_H__4AC7B7D6_2DCB_4A09_AE91_609D8288F6C5__INCLUDED_)
#define AFX_SYNDETECTORDLG_H__4AC7B7D6_2DCB_4A09_AE91_609D8288F6C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CClientSocket;

// CSynDetectorDlg dialog
class CSynDetectorDlg : public CDialog
{
	// Construction
	public: CSynDetectorDlg(CWnd* pParent = NULL);	// standard constructor

	// Dialog Data
	//{{AFX_DATA(CSynDetectorDlg)
	enum { IDD = IDD_SYNDETECTOR_DIALOG };
	CListBox	m_DataList;
	CListBox	m_InterfaceList;
	CEdit		m_FloodCount;
	BOOL	m_Sniff;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSynDetectorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:HICON m_hIcon;


    // Generated message map functions
	//{{AFX_MSG(CSynDetectorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnSniff();
	afx_msg void OnClear();
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private: 
	BOOL BuildInterfaceList();
	CClientSocket* m_Socket;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYNDETECTORDLG_H__4AC7B7D6_2DCB_4A09_AE91_609D8288F6C5__INCLUDED_)
